package chess4j.board.directions;

import chess4j.board.Square;

public class SouthEast extends Direction {

	private static SouthEast INSTANCE = new SouthEast();
	
	private SouthEast() {		
	}

	@Override
	public Square next(Square sq) {
		return Square.valueOf(sq.file().east(), sq.rank().south());
	}
	
	public static SouthEast getInstance() {
		return INSTANCE;
	}
}
